# Constants and data used across VW Plugin.
# (The file should probably be more accurately named vwGlobalData.rb,
# but it's named "Constants" for historical reasons.)
#
# Author: K. Di Filippo

# Global requires
require 'sketchup.rb'

if( not file_loaded?('vwGlobalConstants') )
  


  # "Global Data Container" class.
  class VWGlobalDataContainer
  
     def initialize()
        @lastExportedFile = nil
        @exportWithTextures = true
     end
     
     def lastExportedFile
        @lastExportedFile
     end
     
     def lastExportedFile=(last_exported_file)
        @lastExportedFile = last_exported_file
     end
     
     
     def exportWithTextures?
     	return @exportWithTextures
     end
     
     def exportWithTextures=(export_with_textures)
     	@exportWithTextures = export_with_textures
     end
  
  end
  



  # Paths
  PATH_ICONS = 'icons/'
  
  # Scaling factors
  SCALE_INCHES_TO_METRES = 0.0254

  # Colour-related
  COLOUR_BITDEPTH = 256.0

  # Export masks
  EXPORT_MASK_FORCE_SOLIDS = 0b001000
  EXPORT_MASK_FORCE_SHEETS = 0b010000
  EXPORT_MASK_FORCE_TERRAIN = 0b100000
  EXPORT_MASK_SOLIDS = 0b000001
  EXPORT_MASK_SHEETS = 0b000010
  EXPORT_MASK_TERRAIN = 0b000100
  EXPORT_MASK_ALL = EXPORT_MASK_SOLIDS + EXPORT_MASK_SHEETS + EXPORT_MASK_TERRAIN

  # Layer names (Solids vs. Sheets)
  LAYER_NAME_SOLIDS = 'vwPlugin_Solids'
  LAYER_NAME_SHEETS = 'vwPlugin_Canopies'
  LAYER_NAME_IMAGES = 'vwPlugin_Images'
  LAYER_NAME_TERRAIN = 'vwPlugin_Terrain'
  LAYER_NAME_UNHANDLED = 'vwPlugin_Unhandled'

  # vw[...]Component types
  VW_COMPONENT_TYPE_BUILDING = 1
  VW_COMPONENT_TYPE_CANOPY = 2
  VW_COMPONENT_TYPE_TERRAIN = 3
  
  VW_GLOBAL_DATA_CONTAINER = VWGlobalDataContainer.new
  
  
end

# Declare the file is loaded
file_loaded('vwGlobalConstants')
