# Loader file for the Virtualwind Plug-in.
# Author: K. Di Filippo

# Dependencies
require 'sketchup.rb'
require 'extensions.rb'
require 'LangHandler.rb'

#Uncomment this (and customise for VW Plug-in) if i18n support is desired.
#$exStrings = LanguageHandler.new("Examples.strings")

# Register the VWP only if it hasn't already been loaded.
if (not file_loaded?("vwLoaderScript"))
  
 vwpExtension = SketchupExtension.new "Virtualwind Plug-in", "Virtualwind/vwLoaderScript.rb"
 vwpExtension.description=$exStrings.GetString("Suite of SketchUp add-ons intended to interface with Virtualwind.")
 Sketchup.register_extension vwpExtension, true

else
  
  UI.messageBox("Virtualwind Plugin extension already loaded.  Please select in Window -> Preferences.")
  
end

# Declare the file is loaded
file_loaded("vwLoaderScript")
